// pages/circle/circle.js
var app = getApp();
import Toast from '../../dist/toast/toast';
Page({

  /**
   * 页面的初始数据
   */
  data: {
    keyword:'',
    active:1,
    showNearCircles:0,
    userCircleList:[],
    circleList:[]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.circleShouye()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  onChange(event) {
    // event.detail 的值为当前选中项的索引
    this.setData({ active: event.detail });
    if (event.detail == 0) {
      wx.redirectTo({
        url: '../index/index'
      })
    } else if (event.detail == 2) {
      wx.redirectTo({
        url: '../my/my'
      })
    }
  },

  //新建圈子
  creatCircle(){
    wx.navigateTo({
      url: '../newCircle1/newCircle1',
    });
    wx.setNavigationBarTitle({
      title: '我的圈子'
    })
  },

  //查找附近的圈子
  searchCircleNearby(e){
    var that = this;
    var config = wx.getStorageSync('config');
    var location = wx.getStorageSync('location');
    wx: wx.request({
      url: app.url + 'ajax_get_nearby_circle_list.php',
      data: {
        unionId: config.unionId,
        latitude: location.latitude,
        longitude: location.longitude
      },
      header: { 'content-type': 'application/json' },
      method: 'GET',
      dataType: 'json',
      success: function (res) {
        console.log(res)
        if (res.statusCode == 200) {
          that.setData({
            circleList: res.data.result.circleList,
            showNearCircles: 1
          })
        }
      },
      fail: function (res) { },
      complete: function (res) { },
    })
  },

  //圈子详细
  circleDetails() {
    wx.navigateTo({
      url: '../circleDetails/circleDetails',
    });
  },

  //加入圈子
  joinCircle(){
    var that = this;
    var config = wx.getStorageSync('config');
    // var location = wx.getStorageSync('location');
    wx: wx.request({
      url: app.url + 'ajax_check_user_join_circle.php',
      data: {
        unionId: config.unionId,
        circleId:7
      },
      header: { 'content-type': 'application/json' },
      method: 'GET',
      dataType: 'json',
      success: function (res) {
        console.log(res)
        if (res.statusCode == 200) {
          if (res.data.status =='NG'){
            Toast('需要圈主同意,您才能进入!');
          }
        }
      },
      fail: function (res) { },
      complete: function (res) { },
    })
  },
  // 圈子首页获取数据
  circleShouye(){
    var that = this;
    var config = wx.getStorageSync('config');
    // var location = wx.getStorageSync('location');
    wx: wx.request({
      url: app.url + 'ajax_get_circle_top_dat.php',
      data: {
        unionId: config.unionId
      },
      header: { 'content-type': 'application/json' },
      method: 'GET',
      dataType: 'json',
      success: function (res) {
        console.log(res)
        if (res.statusCode == 200) {
          that.setData({
            userCircleList: res.data.result.userCircleList
          })
        }
      },
      fail: function (res) { },
      complete: function (res) { },
    })
  },

  //获取输入框的值
  keywordInput(e) {
    this.setData({
      kerword: e.detail.value
    })
  },

  //圈子检索
  searchCircle(){
    if (this.data.kerword == null || this.data.kerword=='') {
      wx.showToast({
        title: '请输入关键词',
        icon: 'success',
        duration: 1500
      });
      return;
    }
    //获取输入框的值
    wx.navigateTo({
      url: '../searchCircle/searchCircle?keyword=' + this.data.kerword,
    })
  }
})